Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.xmlstore
Class XMLConfiguration

    java.lang.Object
      org.apache.openjpa.lib.conf.ConfigurationImpl
          org.apache.openjpa.conf.OpenJPAConfigurationImpl
              org.apache.openjpa.xmlstore.XMLConfiguration

All Implemented Interfaces:
  BeanInfo, Externalizable, Serializable, Cloneable, OpenJPAConfiguration, Configuration, ValueListener, Closeable

    public class XMLConfiguration

extends OpenJPAConfigurationImpl

Configuration implementation for the XML file store. Each unique `BrokerFactory` has a distinct configuration instance. Thus this configuration is shared by all `Broker`s associated with the owning factory, and is a good place to provide access to shared resources. Note that each broker has its own `AbstractStoreManager`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.conf.OpenJPAConfigurationImpl
`aggregateListenerPlugins, autoClear, autoDetach, brokerFactoryPlugin, brokerPlugin, classResolverPlugin, compatibilityPlugin, connection2DriverName, connection2Password, connection2Properties, connection2URL, connection2UserName, connectionDriverName, connectionFactory, connectionFactory2, connectionFactory2Name, connectionFactory2Properties, connectionFactoryMode, connectionFactoryName, connectionFactoryProperties, connectionPassword, connectionProperties, connectionRetainMode, connectionURL, connectionUserName, dataCacheManagerPlugin, dataCachePlugin, dataCacheTimeout, detachStatePlugin, dynamicDataStructs, fetchBatchSize, fetchGroups, filterListenerPlugins, flushBeforeQueries, ignoreChanges, inverseManagerPlugin, lockManagerPlugin, lockTimeout, managedRuntimePlugin, mapping, maxFetchDepth, metaFactoryPlugin, metaRepository, metaRepositoryPlugin, multithreaded, nontransactionalRead, nontransactionalWrite, optimistic, orphanedKeyPlugin, proxyManagerPlugin, queryCachePlugin, readLockLevel, remoteEventManager, remoteProviderPlugin, restoreState, retainState, retryClassRegistration, savepointManagerPlugin, seqPlugin, transactionMode, writeLockLevel`

Fields inherited from class org.apache.openjpa.lib.conf.ConfigurationImpl
`logFactoryPlugin`

Fields inherited from interface org.apache.openjpa.conf.OpenJPAConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_RUNTIME, LOG_TOOL, OPTION_DATASTORE_CONNECTION, OPTION_EMBEDDED_COLLECTION_RELATION, OPTION_EMBEDDED_MAP_RELATION, OPTION_EMBEDDED_RELATION, OPTION_ID_APPLICATION, OPTION_ID_DATASTORE, OPTION_INC_FLUSH, OPTION_JDBC_CONNECTION, OPTION_NONTRANS_READ, OPTION_NULL_CONTAINER, OPTION_OPTIMISTIC, OPTION_QUERY_SQL, OPTION_TYPE_ARRAY, OPTION_TYPE_COLLECTION, OPTION_TYPE_MAP, OPTION_VALUE_AUTOASSIGN, OPTION_VALUE_INCREMENT`

Fields inherited from interface org.apache.openjpa.lib.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_CATEGORY, ATTRIBUTE_INTERFACE, ATTRIBUTE_ORDER, ATTRIBUTE_TYPE, ATTRIBUTE_XML`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`XMLConfiguration()` Default constructor.

Method Summary
`XMLFileHandler` | `getFileHandler()` Return the `XMLFileHandler` associated with this configuration.
`XMLStore` | `getStore()` Return the `XMLStore` associated with this configuration.

Methods inherited from class org.apache.openjpa.conf.OpenJPAConfigurationImpl
`close, getAggregateListenerInstances, getAggregateListeners, getAutoClear, getAutoClearConstant, getAutoDetach, getAutoDetachConstant, getBrokerFactory, getBrokerImpl, getClassResolver, getClassResolverInstance, getCompatibility, getCompatibilityInstance, getConfigurationLog, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryMode, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheManager, getDataCacheManagerInstance, getDataCacheTimeout, getDetachState, getDetachStateInstance, getDynamicDataStructs, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreChanges, getInverseManager, getLockManager, getLockTimeout, getManagedRuntime, getManagedRuntimeInstance, getMapping, getMaxFetchDepth, getMetaDataFactory, getMetaDataRepository, getMetaDataRepositoryInstance, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getOrphanedKeyAction, getOrphanedKeyActionInstance, getProxyManager, getProxyManagerInstance, getQueryCache, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreState, getRestoreStateConstant, getRetainState, getRetryClassRegistration, getSavepointManager, getSavepointManagerInstance, getSequence, getSequenceInstance, getSpecification, getStoreFacadeTypeRegistry, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, instantiateAll, isConnectionFactoryModeManaged, isTransactionModeManaged, newBrokerInstance, newInverseManagerInstance, newLockManagerInstance, newMetaDataFactoryInstance, newMetaDataRepositoryInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setAutoClear, setAutoClear, setAutoDetach, setAutoDetach, setBrokerFactory, setBrokerImpl, setClassResolver, setClassResolver, setCompatibility, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryMode, setConnectionFactoryModeManaged, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheManager, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setDetachState, setDetachState, setDynamicDataStructs, setDynamicDataStructs, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreChanges, setIgnoreChanges, setInverseManager, setLockManager, setLockTimeout, setLockTimeout, setManagedRuntime, setManagedRuntime, setMapping, setMaxFetchDepth, setMaxFetchDepth, setMetaDataFactory, setMetaDataRepository, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setOrphanedKeyAction, setOrphanedKeyAction, setProxyManager, setProxyManager, setQueryCache, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreState, setRestoreState, setRetainState, setRetainState, setRetryClassRegistration, setRetryClassRegistration, setSavepointManager, setSequence, setSequence, setSpecification, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from class org.apache.openjpa.lib.conf.ConfigurationImpl
`addBoolean, addDouble, addFile, addInt, addObject, addPlugin, addPluginList, addPropertyChangeListener, addString, addStringList, addValue, assertNotReadOnly, clone, equals, fromProperties, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getLog, getLog, getLogFactory, getMethodDescriptors, getProductName, getPropertiesResource, getPropertyDescriptors, getValue, getValues, hashCode, isInvalidProperty, isReadOnly, loadGlobals, readExternal, removePropertyChangeListener, removeValue, setLog, setLogFactory, setProductName, setProperties, setPropertiesFile, setReadOnly, toProperties, toXMLName, valueChanged, writeExternal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.lib.conf.Configuration
`addPropertyChangeListener, addValue, clone, fromProperties, getLog, getLog, getLogFactory, getProductName, getValue, getValues, isReadOnly, removePropertyChangeListener, removeValue, setLog, setLogFactory, setProductName, setReadOnly, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Constructor Detail

### XMLConfiguration

    public XMLConfiguration()

  Default constructor.

Method Detail

### getFileHandler

    public XMLFileHandler getFileHandler()

  Return the `XMLFileHandler` associated with this configuration.

### getStore

    public XMLStore getStore()

  Return the `XMLStore` associated with this configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.